GENCAT(1V)

NAME
gencat - merge messages into a message catalogue

SYNOPSIS
gencat catalogue messagefile ...

DESCRIPTION
Gencat takes files of message text in messagefile and merges the messages into the message file catalogue catalogue. Catalogue will be created if it does not already exist. If the set and number of a message in messagefile matches that of an existing message in catalogue the new message text will replace the existing text.

The utility handles full 8-bit character data formatted according to the rules for message catalogues to be found in Volume 3 of the X/Open Portability Guide (Issue 3) - XSI Internationalisation.

NOTES

The message label format is subject to revision in the future to match the appropriate standards. The catalogue file produced by gencat is appropriate to the machine architecture on which gencat is run and is not portable across machine architectures.